package ru.ulstu.extractor;

import org.eclipse.jgit.api.Git;
import org.eclipse.jgit.api.errors.GitAPIException;
import org.eclipse.jgit.revwalk.RevCommit;
import org.springframework.stereotype.Service;

import java.nio.file.Path;

@Service
public class GitRepositoryService {
    private final static String LOCAL_PATH = "c:\\temp\\1";

    public void clone(String url) throws GitAPIException {
        Git git = Git.cloneRepository()
                .setURI(url)
                .setDirectory(Path.of(LOCAL_PATH).toFile())
                .call();
        Iterable<RevCommit> commits = git.log().call();
        commits.forEach(c -> System.out.println(c.getFullMessage()));
    }
}
